DRUO
Get started
End Users

List End Users

GEThttps://api.druo.com/end-users/list

Retrieve a list of existing End Users associated with a business.

This endpoint supports advanced filtering and search capabilities using query parameters such as UUID and email.

Query parameters

uuidstringoptional

Filter the list of end users by their unique identifier.

end_user_emailstringoptional

Filter the list of end users by their email address.

pageintegeroptional

The page number to return. Starts at 1.

page_sizeintegeroptional

The number of items per page. Defaults to 1000 when omitted.

Pagination · Filters

Response— Returns a paginated list.

uuidstringoptional

The End User's UUID.

Example: eur_747536f4-1efd-4cad-91b3-cc8aaeed93e3
codestringoptional

The End User's code.

Example: ECSCDSVFGH
typestringoptional

The type of end user, representing either a company or an individual.

Example: COMPANY
first_namestringoptional

The user's first name.

Example: John
last_namestringoptional

The user's last name.

Example: Smith
organizationstringoptional

The organization's name.

Example: DRUO
local_idstringoptional

The user's ID number.

Example: 45235553
local_id_typestringoptional

The user's ID type.

Example: NATIONAL_ID
local_id_countrystringoptional

The user's citizenship country as a 3-letter ISO code.

Example: COL
date_of_birthstringoptional

The user's date of birth in YYYY-MM-DD format.

Example: 2021-07-19
emailstringoptional

The user's email address.

Example: john.smith@gmail.com
phone_numberobjectoptional

The user's phone number details.

Example: {"country_code": "57", "number": "3002328080"}

The country code for the user's phone number.

Example: 57
phone_number.numberstringRequired

The user's phone number without the country code.

Example: 3002328080
addressobjectoptional

The user's address details.

Address line 1.

Example: Calle 1 # 19A - 91

Address line 2.

Example: Casa

Address line 3.

Example: #2
address.localitystringRequired

Locality of the provided address.

Example: 4
address.sublocalitystringoptional

Sublocality of the provided address.

Example: k

Administrative district of the provided address.

Example: fo
address.postal_codestringRequired

Postal code of the provided address.

Example: 111101
address.countrystringRequired

Country of the provided address.

Example: COL
preferred_languagestringoptional

The user's preferred language, used for system notifications.

Example: en_US
notestringoptional

A custom note associated with this end user.

Example: This is a special customer.
primary_referencestringoptional

The End User's primary reference, used to associate the end user with an entity in an external system.

Example: 23423524
secondary_referencestringoptional

The End User's secondary reference, used to associate the end user with an entity in an external system.

Example: bj39fhow39fhqp3f0hfae4344
metadataobjectoptional

Set of key-value pairs that you can attach to an object.

Example: {"order_id": "6735"}
creation_sourcestringoptional

The channel through which the end user was created.

Example: API
date_created_gmtstringoptional

The creation date of the end user in GMT ISO format.

Example: 2021-11-15T23:23:38Z
date_updated_gmtstringoptional

The updated date of the end user in GMT ISO format.

Example: 2021-11-15T23:23:38Z
NextPOSTCreate Connect Link